function buscarTipoabo(b, a){
  const parametros = new FormData();
  parametros.append("txtNom", document.formTipoabo.txtNom.value);

  $.ajax({
    data:  parametros,
    url:   "busTipoabo/data.php",
    type:  "post",
    contentType: false,
    processData: false,
    beforeSend: function () {
      alLoad("Consultando...")
    },
    success: function (jsonPhp) {
      const jsonJS = JSON.parse(jsonPhp);

      tblClear("tblTipoabo");
      jsonJS.tipoabo.forEach(function(i){
        addRowTipoabo(i.ta_cod, i.ta_nom);
      });

      $("#tblTipoabo tbody tr").dblclick(function() {
        selectTipoabo(a, $(this));
      });

      $("#tblTipoabo tbody #btnSelecTipoabo").click(function() {
        selectTipoabo(a, $(this).parents("tr"));
      });

      alClose();
    }
  });
}

function addRowTipoabo(cod, nom) {
  const markup =  "<tr>"
                    +"<td>"+cod+"</td>"
                    +"<td>"+nom+"</td>"
                    +"<td><button class='btn btn-sm btn-warning badge' id='btnSelecTipoabo'>"+textBtnSelec+"</button></td>"
                  +"</tr>";
  $("#tblTipoabo tbody").append(markup);
}

function selectTipoabo(a, tr) {
  $("#pills-"+a+"-tab").click();
  /*if (inputProvee == "txtNit") {
    document.thisform.txtNit.value = tr.find("td:eq(0)").text();
    $("form[name='thisform'] #txtNit").trigger("change");
  } else {*/
    $("#"+inputCod).val(tr.find("td:eq(0)").text());
    $("#"+inputCod).trigger("change");
  //}

  //$('html, body').animate( { scrollTop : 0 }, 500 );
  tblClear("tblTipoabo");
}